A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Public Types | Static Public Member Functions
dtype_traits< af::cdouble > Struct Reference

`#include <traits.hpp>`

## Public Types
enum | { af_type = c64 , ctype = c64 }
typedef double | base_type

## Static Public Member Functions
static const char * | getName ()

## Detailed Description

Definition at line 64 of file traits.hpp.

## Member Typedef Documentation

## ◆ base_type

typedef double base_type

Definition at line 69 of file traits.hpp.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
af_type |
ctype |

Definition at line 65 of file traits.hpp.

65 {
66 af_type = c64 ,
67 ctype = c64
68 };
c64
@ c64
64-bit complex floating point values
Definition defines.h:214
af::dtype_traits< af::cdouble >::af_type
@ af_type
Definition traits.hpp:66
af::dtype_traits< af::cdouble >::ctype
@ ctype
Definition traits.hpp:67

## Member Function Documentation

## ◆ getName()

static const char * getName | ( |  | ) |
| inline static

Definition at line 70 of file traits.hpp.

70{ return "std::complex<double>"; }

The documentation for this struct was generated from the following file:

- traits.hpp